#
# spec file for package perl-Email-MIME-ContentType
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Email-MIME-ContentType
Version:        1.018
Release:        4.1
%define cpan_name Email-MIME-ContentType
Summary:        Parse a MIME Content-Type Header
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Email-MIME-ContentType/
Source:         http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.96
%{perl_requires}

%description
Parse a MIME Content-Type Header

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.018
  see /usr/share/doc/packages/perl-Email-MIME-ContentType/Changes
  1.018     2015-04-07 19:46:00-04:00 America/New_York
  - cope with space between "=" and parameter values, like:
    charset= "utf-8"
* Tue Nov 26 2013 coolo@suse.com
- updated to 1.017
    make $STRICT_PARAMS actually work! (thanks, Matthew Green!)
    [rt.cpan.org #87460]
    correct the longstanding and embarrassing misuse of "discrete" and
    "composite" to mean "type" and "subtype"; the returned data still
    contains the wrong old names so your code shouldn't break
    repackage to update bugtracker, repo, etc.
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Fri Sep 14 2007 jfunk@funktronics.ca
- Initial release
